Mirror3D Example

Using Programming Languages other than VBA

Sub Example_Mirror3D()
	' This example creates a box in model space, and mirrors the box about a plane.

	Dim boxObj As Acad3DSolid
	Dim length As Double, width As Double, height As Double
	Dim center(0 To 2) As Double

	' Define the box
	center(0) = 5#: center(1) = 5#: center(2) = 0
	length = 5#: width = 7: height = 10#

	' Create the box (3DSolid) object in model space
	Set boxObj = ThisDrawing.ModelSpace.AddBox(center, length, width, height)

	' Define the mirroring plane with three points
	Dim mirrorPt1(0 To 2) As Double
	Dim mirrorPt2(0 To 2) As Double
	Dim mirrorPt3(0 To 2) As Double

	mirrorPt1(0) = 1.25: mirrorPt1(1) = 0: mirrorPt1(2) = 0
	mirrorPt2(0) = 1.25: mirrorPt2(1) = 2: mirrorPt2(2) = 0
	mirrorPt3(0) = 1.25: mirrorPt3(1) = 2: mirrorPt3(2) = 2

	' Mirror the box
	Dim mirrorBoxObj As Acad3DSolid
	Set mirrorBoxObj = boxObj.Mirror3D(mirrorPt1, mirrorPt2, mirrorPt3)

	' Change the viewing direction of the viewport
	Dim NewDirection(0 To 2) As Double
	NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
	ThisDrawing.ActiveViewport.direction = NewDirection
	ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
	ZoomAll

End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.